CONTACT US

Call us

Book an appointment by calling us on 1300 443 279

Fax us

You can reach us via fax on
(03) 8595 3033

Email us

Use the form below to send us a message.

Book a consultation

Book an appointment with our telehealth team

We're here for you

Our Support Crew uses telehealth technology to provide you with audiology advice and hearing aid troubleshooting—from our East Melbourne base.

Contact us for advanced troubleshooting and real-time hearing aid setting adjustments.

Remote hearing aid set up and fine-tuning

We can connect to your hearing aids over the internet using award-winning technology. We can set up them up or fine tune them remotely.

Servicing and repairs

Contact us to learn more about our servicing and repair process. We may be able to troubleshoot your issue over the phone.

Frequently asked questions

Be sure to check our Frequently Asked Questions. 

Call us on 1300 443 279 or send us an email using the form.

Send us an email

Alternatively, email directly at info.support@blameysaunders.com.au

Clinic Locations

Melbourne

145-147 Bouverie Street
Carlton VIC 3053

Sydney

Challis House
Level 4, 4 Martin Place
Sydney NSW 2000

Brisbane

Ground Floor,
66 High Street
Toowong QLD 4066

Useful Downloads

Teamviewer

 

We use TeamViewer to help us remotely and securely connect to your device (computer or tablet) during fine-tuning screen share sessions.

MyPhonak

Your Phonak Marvel hearing aids pair with MyPhonak so you can adjust your settings and connect directly to your clinician.

Android

MyPhonak for Android requires Android OS version 6.0 (a.k.a. “Marshmallow”) or newer, as well as Bluetooth version 4.2 or newer.

iPhone and iPad

MyPhonak for iPhone and iPad supports iOS 10.2 or newer, as well as Bluetooth version 4.2 or newer.

IHearYou®

IHearYou® software is free on all supported platforms. The current version of IHearYou® is compatible with all Blamey Saunders hearing aid models.

The latest version of IHearYou requires the Incus programmer. The AHPro3 (black, square box) is not supported.

 

Windows

The latest version of IHearYou requires Windows Vista, 7, 8, 8.1, or 10.

Android

IHearYou for Android requires a device with Bluetooth functionality. The minimum Android OS version requirement is 4.0.3, but we recommend Android 4.4 (a.k.a. “KitKat”) or newer.

iPhone and iPad

IHearYou for iPhone and iPad supports iOS 10 or newer.

Scroll to Top

This website or application uses cookies. In order to find out more about our use of cookies, please consult our Privacy Policy.